Patch to account for linux-2.6.24.x including ivtv, but MPlayer won't
build against it.  See this link for more information and the origin
of the patch:
http://archives.free.net.ph/message/20080201.201454.1047775e.en.html
<rworkman@slackbuilds.org>

diff -Nur MPlayer-1.0rc2.orig/configure MPlayer-1.0rc2/configure
--- MPlayer-1.0rc2.orig/configure	2007-10-07 14:49:33.000000000 -0500
+++ MPlayer-1.0rc2/configure	2008-03-09 23:38:20.998568493 -0500
@@ -4920,7 +4920,7 @@
 echores "$_dxr3"
 
 
-echocheck "IVTV TV-Out"
+echocheck "IVTV TV-Out (pre linux-2.6.24)"
 if test "$_ivtv" = auto ; then
   cat > $TMPC << EOF
 #include <stdlib.h>
@@ -4928,7 +4928,13 @@
 #include <linux/types.h>
 #include <linux/videodev2.h>
 #include <linux/ivtv.h>
-int main(void) { return 0; }
+#include <sys/ioctl.h>
+int main(void) {
+struct ivtv_cfg_stop_decode sd;
+struct ivtv_cfg_start_decode sd1;
+ioctl (0, IVTV_IOC_START_DECODE, &sd1);
+ioctl (0, IVTV_IOC_STOP_DECODE, &sd);
+return 0; }
 EOF
   _ivtv=no
   cc_check && _ivtv=yes
